Name: alterator-netinst
Version: 1.6
Release: alt1

Packager: Vladislav Zavjalov <slazav@altlinux.org>

Source:%name-%version.tar

Summary: alterator module for network installations management
License: GPL
Group: System/Configuration/Other
Requires: alterator >= 4.7-alt3
Requires: alterator-l10n >= 2.1-alt11
Requires: tftp-server
Requires: syslinux
Requires: alterator-net-iptables >= 1.6

Conflicts: alterator-lookout < 1.6-alt4
Conflicts: alterator-fbi < 5.6-alt5
Conflicts: alterator-dhcp < 0.5-alt4

BuildArch: noarch

BuildPreReq: alterator >= 4.7-alt3


%description
alterator module for network installations management

%prep
%setup -q

%build
%make_build libdir=%_libdir

%install
%makeinstall DESTDIR=%buildroot

%files
%_datadir/alterator/ui/*
%_alterator_backend3dir/*
%_datadir/alterator/applications/*
%_bindir/alterator-netinst

%changelog
* Wed Apr 29 2009 Vladislav Zavjalov <slazav@altlinux.org> 1.6-alt1
- add timezone from /etc/sysconfig/clock to kernel parameter 'tz'
  in syslinux config

* Mon Apr 27 2009 Vladislav Zavjalov <slazav@altlinux.org> 1.5-alt1
- alterator-netinst
  + fix problems with non-existent DATADIR
  + don't use getopt (we always work with single option)

* Thu Apr 23 2009 Vladislav Zavjalov <slazav@altlinux.org> 1.4-alt1
- fix handling of downloading stop - 3
- add ajax progress (by inger@)

* Tue Apr 21 2009 Vladislav Zavjalov <slazav@altlinux.org> 1.3-alt2
- fix handling of downloading stop - 2

* Tue Apr 21 2009 Vladislav Zavjalov <slazav@altlinux.org> 1.3-alt1
- fix handling of downloading stop

* Wed Apr 15 2009 Vladislav Zavjalov <slazav@altlinux.org> 1.2-alt1
- dereference symlinks in DATADIR

* Thu Apr 09 2009 Vladislav Zavjalov <slazav@altlinux.org> 1.1-alt1
- improve messages

* Wed Apr 08 2009 Vladislav Zavjalov <slazav@altlinux.org> 1.0-alt1
- getting images from CD-ROM

* Wed Apr 08 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.8-alt1
- update desktop translations
- move to Categories=X-Alterator-Servers

* Fri Mar 27 2009 Stanislav Ievlev <inger@altlinux.org> 0.7-alt2
- little interface improvements
- relocate datadir to /srv/public

* Wed Mar 11 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.7-alt1
- update translation in desktop-file
- don't run umount if it is not needed

* Tue Mar 10 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.6-alt1
- alterator-netinst script:
  + change error handling on empty url
  + do not set interface in pxelinux.cfg

* Thu Mar 05 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt1
- alterator-netinst script:
  + add fstab entry for /srv/netinst/mnt

* Thu Mar 05 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt1
- alterator-netinst script:
  + change pxelinux.cfg: timeout=100, add interface=eth0 in section linux,
    add sections eth{1,2,3} with interface=eth{1,2,3}
  + add DHCP setup

* Wed Mar 04 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.3-alt1
- alterator-netinst script:
  + fix error in downloader
  + small fix in -D action
  + fix help

* Tue Mar 03 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.2-alt1
- alterator-netinst:
  + fix kernel parameters for propagator;
  + update help
  + show downloading errors

* Tue Feb 17 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.1-alt1
- first version

